#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-3aV8AFVYakhEuSyYib6avk
key:                  dhall-1.42.1-3aV8AFVYakhEuSyYib6avk
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  83403912ae1630efa3a6eadf7da74d06
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-3aV8AFVYakhEuSyYib6avk
depends:
    Diff-0.4.1-64n982FmXR97jZWel5t29x
    aeson-2.1.2.1-CJUEk8Q0QXZ63rfmeHQCzY
    aeson-pretty-0.8.10-DJWOJAidBKMAmt1QMCjkYa
    ansi-terminal-1.0.2-6TxOAUbfOQrDbPnWIRhRhS
    atomic-write-0.2.1.1-JhR6wmsz85NLc1tbWJREyg base-4.17.2.1
    base16-bytestring-1.0.2.0-LbfTlLWmPdc9MFeB3bfiLt
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FUjVpmJeiVFCvFoDLJPawp
    cborg-0.2.9.0-3EWZYqzbulR9K2wRt1yohd
    cborg-json-0.2.6.0-G8HgTom0t2tJPTN35uvcIo containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-9bhRGYICyKwFkGLGREOF4d
    data-fix-0.3.3-JLy6OPRcmfp2hjGMmx3UhO deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-9aUxBHI0zljKbdI0y2ogoN exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-FKXjrYgbUBw9VNz3HrkOdb
    hashable-1.4.4.0-LtdCyz5lRpSEDVfQGtCbHQ haskeline-0.8.2
    http-client-0.7.18-FHhdytn5xYS9XZS4tP326d
    http-client-tls-0.3.6.4-6ViG6xajb6OInvSbADfE1E
    http-types-0.12.4-BDoys3Aesb9DkjEWopUdY6
    indexed-traversable-0.1.4-27X1GIy3K3S4C3KcOpuvZH
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-1ybGI5HvUZSBygPC6kgmDH
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-BSIANA0b7f4FqAKAmElYJ
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-3nyhMVxcxoJ9rnBgdjjWM9
    pretty-simple-4.1.3.0-9bTnBAuFUCCAR7yiTosKna
    prettyprinter-1.7.1-C5HmRCcNKvH3komkkNnKOd
    prettyprinter-ansi-terminal-1.1.3-GrSGSBDwr8kLyFsmestIN8
    profunctors-5.6.2-LJ401T2PttGGl9FwS0VQ4N
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-37IsP9aLEpdIHFX6B8AFjs
    serialise-0.2.6.1-AoVFCn0sd0n5484W8848p template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-E3hmcJepHwS18Lf7AeTJbZ
    text-short-0.1.6-JhIlsiNT05t7uvwVQCOUW
    th-lift-instances-0.1.20-2rQI31WpmSCRbVi1DGhQF time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-8nUE2nFGsV44OIFeu9Z7aq
    unordered-containers-0.2.20-4tF6VC1d0ODJ0H7AFNioZw
    vector-0.13.1.0-4yrO9MMzvlSAj3sbKvUmkp

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

